Subject: RE: [nemo] issue 2 diffs

From: "Pascal Thubert \(pthubert\)" <[email-masked]>
Date: Mon, 10 Jan 2005 18:46:05 +0100

| -----Original Message-----
| From: Alexandru Petrescu [mailto:[email-masked]]
| Sent: Monday, January 10, 2005 4:59 PM
| To: Pascal Thubert (pthubert)
| Cc: [email-masked]
| Subject: Re: [nemo] issue 2 diffs
| 
| Pascal Thubert (pthubert) wrote:
| > I created a new section prior to extended with MIP reminders to help
| >  explain the difference later.
| 
| Thanks for this action.  I've read the section.  It does reflect what
we
| have discussed.
| 
| It is just I still do not feel comfortable with calling it "extended
| model" I explain below why.  Overall it is because we seem to have
| different views on deployment.  You seem to see it as one would start
| from scratch to deploy a Home Network that supports mobility (first
| deploy a MIP Home Link, then extend it for MRs).  I see it as a Home
| Network already exists and mobility of hosts and routers is added
| simultaneously (thus the prefixes are already allocated by some
| prior to mobility).
| 

OK

| > With Mobile IPv6 (MIP6) specificationJohnson, D., Perkins, C. and J.
| > Arkko, Mobility Support in IPv6, June 2004.[7] Mobile Nodes are at
| > Home when they are connected to their Home Link, where they
recognize
| >  their Home Prefix in Router Advertisement messages. Also, a binding
| > is checked using of Duplicate Address Detection on the Home Link,
and
| >  Home Agents discover each other by means of Neighbor Discovery
| > extensions over that link.
| >
| > The Home Prefix, that is advertized on the Home Link, is a final
| > prefix, as opposed to an aggregation, and it may be used by hosts on
| > the Home Link for autoconfiguration purposes.
| >
| > As we see, the concept of a Home Network for Mobile IPv6 is really a
| > prefix on a link, served by one or more Home Agents as opposed to a
| > routed mesh. We will see in the next sections that NEMO needs
| > additional prefixes for use by the Mobile Networks. For that reason,
| > NEMO extends the concept of Home Network into a more complex,
| > aggregated structure.
| 
| Pascal, I do not see _NEMO_ needing additional prefixes for use
| of Mobile Networks.  It's subnetting that needs additional prefixes.
If
| I have a MIP home link with MNs attached to it and I want to add MRs
to
| this home then what I have to do first is to allocate /64 prefixes
(out
| of the /48 pictured) as MNPs.  Then all I have to do is to add routes
in
| HA towards these MNPs through the respective HoAs.
| 
| This is exactly the same operation I have to do if I have a Link
| (non-MIP) and want to further "subnet it" for non-mobile purposes with
| fixed routers.
| 
| That is why I'm not comfortable calling it "extended model".  It
| could as well be called "subnetted mode" or simply a "network model".
| 
| When reading the draft, I get the feeling that NEMO Home Network
extends
| the MIP Home Network.  To me, this is a network further subnetted,
NEMO
| extends nothing in this.  IMHO.
| 

OK, I guess it's a way of picturing things and there's no absolute
truth. I have your vision and Vijay's. I'm waiting for others to see if
there's a trend.

| > As this model trivially extends the MIP Home Network
| 
| Exactly, this "extension" is so trivial it does not even deserve a
name
| IMHO.  It's plain simple networking.
| 
| If there is agreement around getting rid of "extended" then I'm fine.
| Otherwise the current text I read better than the previous (because it
| explains what "extended" means).
| 
Cool :)

pascal

---

From: "BINET David RD-CORE-CAE" <[email-masked]>
Date: Tue, 11 Jan 2005 13:08:13 +0100

Thanks for this proposition, Pascal.
Some comments in the text. 

> -----Message d'origine-----
> De : [email-masked] [mailto:[email-masked]] De 
> la part de Pascal Thubert (pthubert)
> Envoyé : lundi 10 janvier 2005 18:46
> À : Alexandru Petrescu
> Cc : [email-masked]
> Objet : RE: [nemo] issue 2 diffs
> 
> 
> 
> | simultaneously (thus the prefixes are already allocated by 
> some prior 
> | to mobility).
> | 
> 
> OK
> 
> | Pascal, I do not see _NEMO_ needing additional prefixes for use of 
> | Mobile Networks.  It's subnetting that needs additional prefixes.
> If
> | That is why I'm not comfortable calling it "extended 
> model".  It could 
> | as well be called "subnetted mode" or simply a "network model".
> | 
> OK, I guess it's a way of picturing things and there's no 
> absolute truth. I have your vision and Vijay's. I'm waiting 
> for others to see if there's a trend.

Thanks for the explanation. I have understood where the term "Extended" come from.
I do not think that Extended is really the right term. I agree with Alex.
I do not know if the references to MIP architecture has to be described so much. The first reference (general expectations) is something useful but afterwards I do not think that Nemo home networks descriptions have to have so many links with MIP architecture. Nemo and MIP are two different protocols and services and I do not see some "progression" from one type of service or network to another one. So, I think that the references from one "model" (MIP) to another one (Nemo) should be reduced and Nemo home networks models should be as independant as possible from MIP architecture.

> | explains what "extended" means).
"5.4 Applicability
The extended Home Network keeps the MIP6 concept of a Home Network
   for both Mobile Nodes and Mobile Routers to take their Home Address
   from."
I think the end of sentence is missing.

David

---

From: "Pascal Thubert \(pthubert\)" <[email-masked]>
Date: Wed, 12 Jan 2005 10:23:15 +0100

| -----Original Message-----
| From: Vijay Devarapalli [mailto:[email-masked]]
| Sent: Wednesday, January 12, 2005 12:58 AM
| To: Alexandru Petrescu
| Cc: Pascal Thubert (pthubert); [email-masked]
| Subject: Re: [nemo] issue 2 diffs
| 
| Alex,
| 
| it is true that regular IPv6 subnetting is used to allocate
| prefixes for the home link and the mobile networks. no issues.
| 
| but the MR creating a route for its subnet at the HA which
| actually has a subnet of its own, is what we are calling the
| NEMO "Extended Home Network Model". so I dont see whats
| wrong with the term.
| 
| having said that, it really only a term. I dont care if it
| is changed to something else.
| 
 The thing is that we already debated this long ago, and the term has
now been used for a while. Good or not, it's always the same debate of
changing the terminology after it has been used for a long time. In
particular, just look at the mobilenetworks site for the last 4 IETF
presentations and you'll see the term. I'd need a very good new name and
very powerful reasons to change that now...

| Pascal, do you think it might make sense to re-draw the figure
| for the Extended Home Network model as follows.
| 
|                      |
|            route     v  /48                        A:B:C::/48
| 
|          --+-----+-----+--+- . -+- . -+--
|            |     |     |        |     |
|           HA    MR1   MR2      MRi   MRN      HA link - A:B:C:0::/64
|           /64   /64   /64      /64   /64      A:B:C:i::/64  1 < i <= N
| 
| 
|                           Extended Home Network
|         <----------------------------------------------------------->
| 
|           Home Net      Mobile Net    Mobile Net   ...   Mobile Net
|         <------------><------------><------------> ... <------------>
| 
| Vijay
| 

Done as issue 3 :)

Pascal
| Alexandru Petrescu wrote:
| > Pascal Thubert (pthubert) wrote:
| >
| >> I created a new section prior to extended with MIP reminders to
help
| >>  explain the difference later.
| >
| >
| > Thanks for this action.  I've read the section.  It does reflect
what we
| > have discussed.
| >
| > It is just I still do not feel comfortable with calling it "extended
| > model" I explain below why.  Overall it is because we seem to have
| > different views on deployment.  You seem to see it as one would
start
| > from scratch to deploy a Home Network that supports mobility (first
| > deploy a MIP Home Link, then extend it for MRs).  I see it as a Home
| > Network already exists and mobility of hosts and routers is added
| > simultaneously (thus the prefixes are already allocated by some
| > prior to mobility).
| >
| >> With Mobile IPv6 (MIP6) specificationJohnson, D., Perkins, C. and
J.
| >> Arkko, Mobility Support in IPv6, June 2004.[7] Mobile Nodes are at
| >> Home when they are connected to their Home Link, where they
recognize
| >>  their Home Prefix in Router Advertisement messages. Also, a
binding
| >> is checked using of Duplicate Address Detection on the Home Link,
and
| >>  Home Agents discover each other by means of Neighbor Discovery
| >> extensions over that link.
| >>
| >> The Home Prefix, that is advertized on the Home Link, is a final
| >> prefix, as opposed to an aggregation, and it may be used by hosts
on
| >> the Home Link for autoconfiguration purposes.
| >>
| >> As we see, the concept of a Home Network for Mobile IPv6 is really
a
| >> prefix on a link, served by one or more Home Agents as opposed to a
| >> routed mesh. We will see in the next sections that NEMO needs
| >> additional prefixes for use by the Mobile Networks. For that
reason,
| >> NEMO extends the concept of Home Network into a more complex,
| >> aggregated structure.
| >
| >
| > Pascal, I do not see _NEMO_ needing additional prefixes for use
| > of Mobile Networks.  It's subnetting that needs additional prefixes.
If
| > I have a MIP home link with MNs attached to it and I want to add MRs
to
| > this home then what I have to do first is to allocate /64 prefixes
(out
| > of the /48 pictured) as MNPs.  Then all I have to do is to add
routes in
| > HA towards these MNPs through the respective HoAs.
| >
| > This is exactly the same operation I have to do if I have a Link
| > (non-MIP) and want to further "subnet it" for non-mobile purposes
with
| > fixed routers.
| >
| > That is why I'm not comfortable calling it "extended model".  It
| > could as well be called "subnetted mode" or simply a "network
model".
| >
| > When reading the draft, I get the feeling that NEMO Home Network
extends
| > the MIP Home Network.  To me, this is a network further subnetted,
NEMO
| > extends nothing in this.  IMHO.
| >
| >> As this model trivially extends the MIP Home Network
| >
| >
| > Exactly, this "extension" is so trivial it does not even deserve a
name
| > IMHO.  It's plain simple networking.
| >
| > If there is agreement around getting rid of "extended" then I'm
fine.
| > Otherwise the current text I read better than the previous (because
it
| > explains what "extended" means).
| >
| > Alex

---

From: "Pascal Thubert \(pthubert\)" <[email-masked]>
Date: Mon, 31 Jan 2005 17:06:15 +0100

| I do not think that Extended is really the right term. I agree with
Alex.
| I do not know if the references to MIP architecture has to be
described so
| much. The first reference (general expectations) is something useful
but
| afterwards I do not think that Nemo home networks descriptions have to
| have so many links with MIP architecture. Nemo and MIP are two
different
| protocols and services and I do not see some "progression" from one
type
| of service or network to another one. So, I think that the references
from
| one "model" (MIP) to another one (Nemo) should be reduced and Nemo
home
| networks models should be as independant as possible from MIP
| architecture.
| 

Hi David:

Sorry to respond so late, I've been quite busy.

There is more then a progression between MIP and extended Home Networks.
In fact, in extended more, they can share the same Home Link, and the
same Home Prefix...

Pascal